Categories
pengaturcaraan

Menulis kod java dengan Debian Wheezy

Mudah, anda perlukan pakej default-jdk untuk javac dan vim-nox untuk mengedit kod java.

apt-get install default-jdk vim-nox

Cadangan buku rujukan: Head First Java 2nd Edition

Categories
email

Padam semua spam dari pengguna spesifik Zimbra

Simpan sebagai postfix-delete.pl

Cara guna
perl postfix-delete.pl user@domain.com

Kod:
[code lang='plain']#!/usr/bin/perl

$REGEXP = shift || die "no email-adress given (regexp-style, e.g. bl.*\@yahoo.com)!";

@data = qx;
for (@data) {
if (/^(\w+)(\*|\!)?\s/) {
$queue_id = $1;
}
if($queue_id) {
if (/$REGEXP/i) {
$Q{$queue_id} = 1;
$queue_id = "";
}
}
}

#open(POSTSUPER,"|cat") || die "couldn't open postsuper" ;
open(POSTSUPER,"|/opt/zimbra/postfix/sbin/postsuper -d -") || die "couldn't open postsuper" ;

foreach (keys %Q) {
print POSTSUPER "$_\n";
};
close(POSTSUPER);[/code]

Sumber:

http://www.cyberciti.biz/tips/howto-postfix-flush-mail-queue.html

Categories
linux

Contoh setting munin dengan nginx + spawn-fcgi

Hasilnya, munin boleh diakses pada www.domain.com (contoh)

/etc/init.d/munin-fcgi

[code lang=’plain’]PATH=/usr/local/bin/:/usr/local/sbin:$PATH
DAEMON=$(which spawn-fcgi)
FCGI_GRAPH_SOCK=/var/run/munin/fastcgi-munin-graph.sock
FCGI_HTML_SOCK=/var/run/munin/fastcgi-munin-html.sock
WWW_USER=www-data
FCGI_USER=www-data
FCGI_GROUP=www-data
FCGI_SPAWN_GRAPH=/usr/lib/munin/cgi/munin-cgi-graph
FCGI_SPAWN_HTML=/usr/lib/munin/cgi/munin-cgi-html
PIDFILE_GRAPH=/var/run/munin/fastcgi-munin-graph.pid
PIDFILE_HTML=/var/run/munin/fastcgi-munin-html.pid
DESC=”Munin FCGI for Graph and HTML”
test -x $DAEMON || exit 0
test -x $FCGI_SPAWN_GRAPH || exit 0
test -x $FCGI_SPAWN_HTML || exit 0
start() {
$DAEMON -s $FCGI_GRAPH_SOCK -U $WWW_USER -u $FCGI_USER -g $FCGI_GROUP -P $PIDFILE_GRAPH $FCGI_SPAWN_GRAPH 2> /dev/null || echo “Graph Already running”
$DAEMON -s $FCGI_HTML_SOCK -U $WWW_USER -u $FCGI_USER -g $FCGI_GROUP -P $PIDFILE_HTML $FCGI_SPAWN_HTML 2> /dev/null || echo “HTML Already running”
}
stop() {
kill -QUIT `cat $PIDFILE_GRAPH` || echo “Graph not running”
kill -QUIT `cat $PIDFILE_HTML` || echo “HTML Not running”
}
restart() {
kill -HUP `cat $PIDFILE_GRAPH` || echo “Can’t reload Graph”
kill -HUP `cat $PIDFILE_HTML` || echo “Can’t reload HTML”
}
case “$1” in
start)
echo “Starting $DESC: ”
start
;;
stop)
echo “Stopping $DESC: ”
stop
;;
restart|reload)
echo “Restarting $DESC: ”
stop
sleep 1
start
;;
*)
echo “Usage: $SCRIPTNAME {start|stop|restart|reload}” >&2
exit 3
;;
esac
exit $?[/code]

/etc/munin/munin.conf

[code lang=’plain’]dbdir /var/lib/munin
htmldir /var/cache/munin/www
logdir /var/log/munin
rundir /var/run/munin
tmpldir /etc/munin/templates
staticdir /etc/munin/static
includedir /etc/munin/munin-conf.d
[www.domain.com]
address 127.0.0.1
use_node_name yes[/code]

/etc/nginx/sites-enabled/munin

[code lang=’plain’]server {
listen 80;
root /var/cache/munin/www;
index index.html index.htm;
server_name www.domin.com;
auth_basic “Administrator Login”;
auth_basic_user_file /var/www/.htpasswd;
location /nginx_status {
stub_status on;
access_log off;
allow 127.0.0.1;
deny all;
}
location ^~ /munin-cgi/munin-cgi-graph/ {
fastcgi_split_path_info ^(/munin-cgi/munin-cgi-graph)(.*);
fastcgi_param PATH_INFO $fastcgi_path_info;
fastcgi_pass unix:/var/run/munin/fastcgi-munin-graph.sock;
include fastcgi_params;
}
location ^~ /munin-cgi/munin-cgi-html/ {
fastcgi_split_path_info ^(/munin-cgi/munin-cgi-html)(.*);
fastcgi_param PATH_INFO $fastcgi_path_info;
fastcgi_pass unix:/var/run/munin/fastcgi-munin-html.sock;
include fastcgi_params;
}
}[/code]

Rujukan:

Nginx configuration for Munin


http://serverfault.com/questions/670535/munin-nginx-no-dynazoom-into-graphs
https://www.howtoforge.com/tutorial/server-monitoring-with-munin-and-monit-on-ubuntu-14-04/